Bug 716599

Summary: freetype-2.4.5 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: freetypeAssignee: Marek Kašík <mkasik>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: apodtele, behdad, fonts-bugs, i, kevin, mkasik
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-18 05:15:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Upstream Release Monitoring 2011-06-25 06:09:24 EDT
Latest upstream release: 2.4.5
Current version in Fedora Rawhide: 2.4.4
URL: http://sourceforge.net/api/file/index/project-name/freetype/mtime/desc/limit/20/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Kevin Kofler 2011-06-26 01:11:24 EDT
*** Bug 716656 has been marked as a duplicate of this bug. ***
Comment 2 Alexei Podtelezhnikov 2011-06-26 08:44:38 EDT
Drop CVE-2010-3311: http://lists.nongnu.org/archive/html/freetype-devel/2011-06/msg00036.html
Comment 3 Marek Kašík 2011-06-28 11:18:54 EDT
Hi,

I've just committed freetype-2.4.5 to rawhide. I don't plan to update it in Fedora 15 because there is 1 quite big change:

  "If autohinting  is not  explicitly disabled,  FreeType now  uses
   the autohinter if  a TrueType based font doesn't  contain native
   hints."

I'll remove the CVE-2010-3311 patch as soon as the patch from https://bugzilla.gnome.org/show_bug.cgi?id=653571 will be in Fedora.

Regards

Marek
Comment 4 Alexei Podtelezhnikov 2011-07-05 21:09:48 EDT
I don't mind if you rename the patch into "gnome-font-viewer-hack" 
but hiding behind CVE is not very nice.
Comment 5 Christopher Meng 2013-11-18 05:15:12 EST
Already updated for years.